<?xml version="1.0" encoding="UTF-8"?>
<?xml-stylesheet type="text/xsl" href="testcpp.xsl"?>

<!-- Copyright (C) 2009 Pawel Dziepak -->

<!-- Experimental
     Syntax has to be designed. The following one is only experimental
-->

<test>
	<name>Test #1: Basic Operations</name>
	<need>fifo.h</need>
	<object class="fifo" type="int">
		<descr>adding data</descr>
		<method name="push">
			<arg>5</arg>
		</method>
		<method name="pop">
			<return>5</return>
		</method>

		<descr>massive data operations</descr>
		<method name="push">
			<arg>3</arg>
		</method>
		<method name="push">
			<arg>6</arg>
		</method>
		<method name="pop">
			<return>3</return>
		</method>
		<method name="push">
			<arg>7</arg>
		</method>
		<method name="pop">
			<return>6</return>
		</method>
		<method name="pop">
			<return>7</return>
		</method>
	</object>
</test>
